#
# spec file for package python-vcversioner
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-vcversioner
Version:        2.16.0.0
Release:        lp152.3.2
License:        ISC
Summary:        Use version control tags to discover version numbers
Url:            https://github.com/habnabit/vcversioner
Group:          Development/Languages/Python
Source0:        https://pypi.python.org/packages/source/v/vcversioner/vcversioner-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/habnabit/vcversioner/%{version}/COPYING
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Elevator pitch: you can write a setup.py with no version information
specified, and vcversioner will find a recent, properly-formatted
VCS tag and extract a version from it.

%prep
%setup -q -n vcversioner-%{version}
cp %{SOURCE1} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst COPYING
%{python_sitelib}/vcversioner.py*
%pycache_only %{python_sitelib}/__pycache__/vcversioner.*.py*
%{python_sitelib}/vcversioner-%{version}-py*.egg-info

%changelog
* Fri Apr  7 2017 toddrme2178@gmail.com
- Implement single-spec version
* Fri Apr  7 2017 toddrme2178@gmail.com
- Update to 2.16.0.0
  * And now update classifiers.
  * Only set the version on the distribution metadata.
- Add LICENSE file
* Sun Jun 14 2015 nemysis@gmx.ch
- Change Description
* Sun Jun  7 2015 nemysis@gmx.ch
- Initial package creation
